Skip to main content
`Ctrl`+`K`

# TaoMonitorSolution

Views the solution at each iteration of `TaoSolve()`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoMonitorSolution(Tao tao, PetscViewerAndFormat *vf)

Collective

## Input Parameters

- tao - the `Tao` context

- vf - `PetscViewerAndFormat` context

## Options Database Key

- -tao_monitor_solution - view the solution

## See Also

TAO: Optimization Solvers, `Tao`, `TaoMonitorDefaultShort()`, `TaoMonitorSet()`

## Level

advanced

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages